PRINT N'Modificando [dbo].[EvaluationFormatAbilityScoreTipification]...';


GO
ALTER TABLE [dbo].[EvaluationFormatAbilityScoreTipification] ALTER COLUMN [Description] VARCHAR (250) NOT NULL;


GO
PRINT N'Modificando [dbo].[EvaluationFormatAbilityScoreTipificationItem]...';


GO
ALTER TABLE [dbo].[EvaluationFormatAbilityScoreTipificationItem] ALTER COLUMN [Description] VARCHAR (250) NOT NULL;


GO
PRINT N'Modificando [dbo].[HistoricEvaluationFormatAbilityScoreTipification]...';


GO
ALTER TABLE [dbo].[HistoricEvaluationFormatAbilityScoreTipification] ALTER COLUMN [Description] VARCHAR (250) NOT NULL;


GO
PRINT N'Modificando [dbo].[HistoricEvaluationFormatAbilityScoreTipificationItem]...';


GO
ALTER TABLE [dbo].[HistoricEvaluationFormatAbilityScoreTipificationItem] ALTER COLUMN [Description] VARCHAR (250) NULL;


GO
PRINT N'Modificando [dbo].[ScoreTipification]...';


GO
ALTER TABLE [dbo].[ScoreTipification] ALTER COLUMN [Description] VARCHAR (250) NOT NULL;


GO
PRINT N'Modificando [dbo].[ScoreTipificationItem]...';


GO
ALTER TABLE [dbo].[ScoreTipificationItem] ALTER COLUMN [Description] VARCHAR (250) NOT NULL;


GO
PRINT N'Modificando [dbo].[Tipification]...';


GO
ALTER TABLE [dbo].[Tipification] ALTER COLUMN [Description] VARCHAR (250) NOT NULL;


GO
PRINT N'Modificando [dbo].[TipificationItem]...';


GO
ALTER TABLE [dbo].[TipificationItem] ALTER COLUMN [Description] VARCHAR (250) NULL;


GO
PRINT N'Modificando [dbo].[SaveEvaluationFormatAbilityScoreTipification]...';


GO
ALTER PROCEDURE [dbo].[SaveEvaluationFormatAbilityScoreTipification] (
	@VCC VARCHAR(50) = NULL,
	@EvaluationFormatId VARCHAR(50) = NULL,
	@ScoreId VARCHAR(50) = NULL,
	@ID VARCHAR(50) = NULL,
	@Description VARCHAR(250) = NULL,
	@Detail VARCHAR(500) = NULL,
	@Order INT = NULL,
	@UserId VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	-- ACTUALIZAMOS EN CASO EXISTA
	UPDATE [EvaluationFormatAbilityScoreTipification]
		SET [Description] = @Description,
			[Detail] = @Detail,
			[Order] = @Order,
			[LastModifiedDate] = GETUTCDATE(),
			[LastModifiedByUserId] = @UserId
		WHERE [VCC] = @VCC
			AND [EvaluationFormatId] = @EvaluationFormatId
			AND [ScoreId] = @ScoreId
			AND [ID] = @ID

    IF @@ROWCOUNT = 0
		INSERT INTO [EvaluationFormatAbilityScoreTipification] (
			[VCC], 
			[EvaluationFormatId],
			[ScoreId],
			[ID],
			[Description], 
			[Detail],
			[Order],
			[CreatedDate],
			[CreatedByUserId]
			)
		VALUES (
			@VCC,
			@EvaluationFormatId,
			@ScoreId,
			@ID,
			@Description, 
			@Detail,
			@Order,
			GETUTCDATE(),
			@UserId
		)

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
PRINT N'Modificando [dbo].[SaveEvaluationFormatAbilityScoreTipificationItem]...';


GO

ALTER PROCEDURE [dbo].[SaveEvaluationFormatAbilityScoreTipificationItem] (
	@VCC VARCHAR(50) = NULL,
	@EvaluationFormatId VARCHAR(50) = NULL,
	@ScoreId VARCHAR(50) = NULL,
	@ID VARCHAR(50) = NULL,
	@TipificationId VARCHAR(50) = NULL,
	@SecondLevelItemId VARCHAR(50) = NULL,
	@Description VARCHAR(250) = NULL,
	@Order INT = NULL,
	@UserId VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	-- ACTUALIZAMOS EN CASO EXISTA
	UPDATE [EvaluationFormatAbilityScoreTipificationItem]
		SET [Description] = @Description,
			[Order] = @Order,
			[LastModifiedDate] = GETUTCDATE(),
			[LastModifiedByUserId] = @UserId
		WHERE [VCC] = @VCC
			AND [EvaluationFormatId] = @EvaluationFormatId
			AND [ScoreId] = @ScoreId
			AND [TipificationId] = @TipificationId
			AND [ID] = @ID

    IF @@ROWCOUNT = 0
		INSERT INTO [EvaluationFormatAbilityScoreTipificationItem] (
			[VCC], 
			[EvaluationFormatId],
			[ScoreId],
			[TipificationId], 
			[ID],
			[SecondLevelItemId],
			[Description], 
			[Order], 
			[CreatedDate],
			[CreatedByUserId]
			)
		VALUES (
			@VCC, 
			@EvaluationFormatId,
			@ScoreId,
			@TipificationId,
			@ID,
			@SecondLevelItemId,
			@Description, 
			@Order,
			GETUTCDATE(),
			@UserId
		)

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
PRINT N'Modificando [dbo].[SaveScoreTipification]...';


GO
ALTER PROCEDURE [dbo].[SaveScoreTipification] (
	@VCC VARCHAR(50) = NULL, 				
	@ScoreId VARCHAR(50) = NULL,
	@ID VARCHAR(50) = NULL,
	@Description VARCHAR(250) = NULL,					
	@Detail VARCHAR(500) = NULL,
	@Order INT = NULL,
	@UserId VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	-- ACTUALIZAMOS EN CASO EXISTA
	UPDATE [ScoreTipification]
		SET [Description] = @Description,
			[Detail] = @Detail,
			[Order] = @Order,
			[LastModifiedDate] = GETUTCDATE(),
			[LastModifiedByUserId] = @UserId
		WHERE [VCC] = @VCC
			AND [ScoreId] = @ScoreId
			AND [ID] = @ID

    IF @@ROWCOUNT = 0
		INSERT INTO [ScoreTipification] (
			[VCC], 
			[ScoreId],
			[ID],
			[Description], 
			[Detail],
			[Order],
			[CreatedDate],
			[CreatedByUserId]
			)
		VALUES (
			@VCC,
			@ScoreId,
			@ID,
			@Description, 
			@Detail,
			@Order,
			GETUTCDATE(),
			@UserId
		)

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
PRINT N'Modificando [dbo].[SaveScoreTipificationItem]...';


GO

ALTER PROCEDURE [dbo].[SaveScoreTipificationItem] (
	@VCC VARCHAR(50) = NULL, 	
	@ScoreId VARCHAR(50) = NULL,
	@ID VARCHAR(50) = NULL,
	@TipificationId VARCHAR(50) = NULL,
	@SecondLevelItemId VARCHAR(50) = NULL,
	@Description VARCHAR(250) = NULL,					
	@Order INT = NULL,
	@UserId VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	-- ACTUALIZAMOS EN CASO EXISTA
	UPDATE [ScoreTipificationItem]
		SET [Description] = @Description,
			[Order] = @Order,
			[LastModifiedDate] = GETUTCDATE(),
			[LastModifiedByUserId] = @UserId
		WHERE [VCC] = @VCC
			AND [ScoreId] = @ScoreId
			AND [TipificationId] = @TipificationId
			AND [ID] = @ID

    IF @@ROWCOUNT = 0
		INSERT INTO [ScoreTipificationItem] (
			[VCC], 
			[ScoreId],
			[TipificationId], 
			[ID],
			[SecondLevelItemId],
			[Description], 
			[Order], 
			[CreatedDate],
			[CreatedByUserId]
			)
		VALUES (
			@VCC, 
			@ScoreId,
			@TipificationId,
			@ID,
			@SecondLevelItemId,
			@Description, 
			@Order,
			GETUTCDATE(),
			@UserId
		)

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
PRINT N'Modificando [dbo].[SaveTipification]...';


GO
ALTER PROCEDURE [dbo].[SaveTipification] (
	@VCC VARCHAR(50) = NULL, 				
	@ID VARCHAR(50) = NULL,
	@Description VARCHAR(250) = NULL,					
	@Detail VARCHAR(500) = NULL,
	@UserId VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	-- ACTUALIZAMOS EN CASO EXISTA
	UPDATE [Tipification]
		SET [Description] = @Description,
			[Detail] = @Detail,
			[LastModifiedDate] = GETUTCDATE(),
			[LastModifiedByUserId] = @UserId
		WHERE [VCC] = @VCC
			AND [ID] = @ID

    IF @@ROWCOUNT = 0
		INSERT INTO [Tipification] (
			[VCC], 
			[ID],
			[Description], 
			[Detail], 
			[CreatedDate],
			[CreatedByUserId]
			)
		VALUES (
			@VCC, 
			@ID,
			@Description, 
			@Detail, 
			GETUTCDATE(),
			@UserId
		)

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
PRINT N'Modificando [dbo].[SaveTipificationItem]...';


GO
ALTER PROCEDURE [dbo].[SaveTipificationItem] (
	@VCC VARCHAR(50) = NULL, 				
	@ID VARCHAR(50) = NULL,
	@TipificationId VARCHAR(50) = NULL,
	@SecondLevelItemId VARCHAR(50) = NULL,
	@Description VARCHAR(250) = NULL,					
	@Order INT = NULL,
	@UserId VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	-- ACTUALIZAMOS EN CASO EXISTA
	UPDATE [TipificationItem]
		SET [Description] = @Description,
			[Order] = @Order,
			[LastModifiedDate] = GETUTCDATE(),
			[LastModifiedByUserId] = @UserId
		WHERE [VCC] = @VCC
			AND [ID] = @ID

    IF @@ROWCOUNT = 0
		INSERT INTO [TipificationItem] (
			[VCC], 
			[TipificationId], 
			[ID],
			[SecondLevelItemId],
			[Description], 
			[Order], 
			[CreatedDate],
			[CreatedByUserId]
			)
		VALUES (
			@VCC, 
			@TipificationId,
			@ID,
			@SecondLevelItemId,
			@Description, 
			@Order,
			GETUTCDATE(),
			@UserId
		)

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
PRINT N'Actualizando [dbo].[GetAbilityEvaluationFormats]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[GetAbilityEvaluationFormats]';


GO
PRINT N'Actualizando [dbo].[SaveHistoricEvaluationPlanData]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[SaveHistoricEvaluationPlanData]';


GO
PRINT N'Actualizando [dbo].[DeleteEvaluationFormatContent]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[DeleteEvaluationFormatContent]';


GO
PRINT N'Actualizando [dbo].[SaveEvaluationPlan]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[SaveEvaluationPlan]';


GO
PRINT N'Actualizando [dbo].[DeleteEvaluationFormat]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[DeleteEvaluationFormat]';


GO
PRINT N'Actualizando [dbo].[GetEvaluationPlanAbilityEvaluationFormats]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[GetEvaluationPlanAbilityEvaluationFormats]';


GO
PRINT N'Actualizando [dbo].[GetEvaluationPlanScores]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[GetEvaluationPlanScores]';


GO
PRINT N'Actualizando [dbo].[GetEvaluationResultsFromAuditorEvaluationPlan]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[GetEvaluationResultsFromAuditorEvaluationPlan]';


GO
PRINT N'Actualizando [dbo].[DeleteAbility]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[DeleteAbility]';


GO
PRINT N'Actualizando [dbo].[DeleteScoreTipification]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[DeleteScoreTipification]';


GO
PRINT N'Actualizando [dbo].[GetScores]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[GetScores]';


GO
PRINT N'Actualizando [dbo].[DeleteScoreTipificationItem]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[DeleteScoreTipificationItem]';


GO
PRINT N'Actualizando [dbo].[DeleteTipification]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[DeleteTipification]';


GO
PRINT N'Actualizando [dbo].[GetTipification]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[GetTipification]';


GO
PRINT N'Actualizando [dbo].[GetTipifications]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[GetTipifications]';


GO
PRINT N'Actualizando [dbo].[DeleteTipificationItem]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[DeleteTipificationItem]';


GO
PRINT N'Actualizando [dbo].[GetTipificationItems]...';


GO
EXECUTE sp_refreshsqlmodule N'[dbo].[GetTipificationItems]';


GO
PRINT N'Actualización completada.';


GO
